#include "forms.h"
#include "xfpovray.h"
#include "wids_struct.h"
#include "pov_struct.h"

extern void YesNoCB();

extern struct widget_ids wids;
extern struct pov_options pov;
 
extern const int GRP_X;
extern const int GRP_Y;
extern const int GRP_W;
extern const int GRP_H;



void parsing_group(void)
{
    FL_OBJECT *obj;
    int i;    

    wids.parsing_grp = fl_bgn_group();

        obj = fl_add_text(FL_NORMAL_TEXT, 
            GRP_X + 10, GRP_Y + 5, 100, 25, "Library Paths"); 
            fl_set_object_lstyle(obj, FL_BOLD_STYLE);
 
        for (i=0; i<5; i++) {
            wids.libpath_input[i] = fl_add_input(FL_NORMAL_INPUT, 
	        GRP_X + 10, GRP_Y + (30*(i+1)), 200, 25, "");                
            if (i == 0)
               fl_set_input(wids.libpath_input[i], POV_LIB_PATH);
            else
               if ((i == 1) && (strcmp(POV_PERSONAL_LIB_PATH, "") != 0)) 
                  fl_set_input(wids.libpath_input[i], POV_PERSONAL_LIB_PATH);
               else
                  fl_set_input(wids.libpath_input[i], "");
        }  

        obj = fl_add_choice(FL_NORMAL_CHOICE, 
            GRP_X + 140, GRP_Y + 180, 70, 25, "Language Version"); 
            fl_addto_choice(obj, "1.0|2.0|3.0");
            fl_set_choice(obj, pov.version);
            fl_set_choice_fontstyle(obj, FL_BOLD_STYLE); 
            fl_set_object_lstyle(obj, FL_BOLD_STYLE);
            fl_set_object_boxtype(obj, FL_UP_BOX);
            fl_set_object_callback(obj, YesNoCB, 6);

        obj = fl_add_choice(FL_NORMAL_CHOICE, 
            GRP_X + 140, GRP_Y + 210, 70, 25, "Remove Bounds"); 
            fl_addto_choice(obj, "No|Yes");
            fl_set_choice(obj, pov.remove_bounds + 1);
            fl_set_choice_fontstyle(obj, FL_BOLD_STYLE); 
            fl_set_object_lstyle(obj, FL_BOLD_STYLE);
            fl_set_object_boxtype(obj, FL_UP_BOX);
            fl_set_object_callback(obj, YesNoCB, 7);

        obj = fl_add_choice(FL_NORMAL_CHOICE, 
            GRP_X + 140, GRP_Y + 240, 70, 25, "Split Unions"); 
            fl_addto_choice(obj, "No|Yes");
            fl_set_choice(obj, pov.split_unions + 1);
            fl_set_choice_fontstyle(obj, FL_BOLD_STYLE); 
            fl_set_object_lstyle(obj, FL_BOLD_STYLE);
            fl_set_object_boxtype(obj, FL_UP_BOX);
            fl_set_object_callback(obj, YesNoCB, 8);
         
    fl_end_group(); 
        
}
