/* POV-ray defaults
**
** Booleans: 0 = False, 1 = True
**
*/

#define POV_DISPLAY_DURING_RENDER 1     /* boolean                        */
#define POV_OUTPUT_TO_FILE        1     /* boolean                        */
#define POV_VERBOSE               1     /* int (0, 1, 2 = off, low, high) */
#define POV_ANTIALIAS             0     /* boolean                        */
#define POV_ANTIALIAS_THRESHOLD   0.3   /* real [0.0 - 3.0]               */
#define POV_AA_SAMPLING_METHOD    1     /* 1, 2 (non-adaptive, adaptive)  */
#define POV_AA_DEPTH              3     /* int [1 - 9]                    */
#define POV_RADIOSITY             0     /* boolean                        */
#define POV_QUALITY               9     /* int [0 - 9]                    */
#define POV_REDIRECT_ON           0     /* boolean                        */
#define POV_VERSION               3     /* int (1, 2, 3)                  */
#define POV_REMOVE_BOUNDS         1     /* boolean                        */
#define POV_SPLIT_UNIONS          0     /* boolean                        */
#define POV_BOUNDING              1     /* boolean                        */
#define POV_BOUNDING_THRESHOLD    25    /* int                            */
#define POV_LIGHT_BUFFER          1     /* boolean                        */
#define POV_VISTA_BUFFER          1     /* boolean                        */
#define POV_JITTER                1     /* boolean                        */
#define POV_JITTER_AMOUNT         1.0   /* real [0.0 - 1.0]               */
#define POV_INITIAL_FRAME         1     /* int                            */
#define POV_FINAL_FRAME           -1    /* int, -1 to disable             */
#define POV_CYCLIC_ANIMATION      0     /* boolean                        */
#define POV_FIELD_RENDERING       0     /* boolean                        */
#define POV_ODD_FIELD             0     /* boolean                        */
#define POV_PALETTE               1     /* int                            */
#define POV_OUTPUT_FILETYPE       1     /* int                            */

 
 
 
